Bug Hunting Session
Bug 70185 - starmath: unit test writing
Summary: starmath: unit test writing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2013-10-06 09:18 UTC by Thomas Arnhold
Modified: 2017-02-14 08:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Arnhold 2013-10-06 09:18:39 UTC
The formula editor is rarely covered by unit tests. It would be nice if some more parts are covered by tests, eg. the import and export functions.

There are at least three import filters: ODF Formula (odf), OpenOffice 1.0 Formula (sxm) and MathML 1.01 (mml) - see Tools -> Import Formula.

Background is that bugs like fdo#68956 could be avoided with some test coverage.

That's the idea, but I'm no expert on this ;)
Comment 1 Thomas Arnhold 2013-10-06 09:22:58 UTC
Also in starmath/qa/cppunit/test_nodetotextvisitors.cxx there are currently three disabled tests (marked with FIXME).
Comment 2 Jean-Baptiste Faure 2014-03-01 14:13:57 UTC
Valid enhancement. Set status to NEW

Best regards. JBF
Comment 3 Commit Notification 2014-11-26 12:56:56 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ede5d170ea25c7983ed890075d9d5479aaa08d88

fdo#70185: Correct and reenable SmNodeToTextVisitor's test case

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-01-13 12:13:39 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b87116fa4c5873fa719468f775589edd6c8613c

fdo#70185: starmath: unit test writing

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Robinson Tryon (qubit) 2015-12-14 06:32:24 UTC Comment hidden (obsolete)
Comment 6 Robinson Tryon (qubit) 2016-02-18 14:52:27 UTC Comment hidden (obsolete)
Comment 7 jani 2016-04-20 05:52:36 UTC
A patch has been submitted, if more is needed the pointers need to be updated